You need to refer to the specific custom object class in the request.In this case, we refer to the CoolDialog custom object class.See this section to learn how to create a custom object class.
curl -X GET \-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \https://api.quickblox.com/chat/Dialog.json?data[class_name]=CoolDialog&data[category]=friends
2
2. Set a custom object field
Refer to a specific custom object field in the query.Here, we refer to the friends field of the CoolDialog custom object class.
curl -X GET \-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \https://api.quickblox.com/chat/Dialog.json?data[class_name]=CoolDialog&data[category]=friends
3
3. As a result, the API returns all dialogs by the specified custom object field.
curl -X GET \-H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \https://api.quickblox.com/chat/Dialog.json?data[class_name]=CoolDialog&data[category]=friends
Display total number of all dialogs
1
1. Specify if you want to count dialogs
You can display the total number of all dialogs in the system by setting the count to 1.
Will return dialogs with last_message_date_sentnot equal to 1556739654 and 1556739987.
all
ALL contained IN array
Types: number
Applicable to fields: occupants_ids, admin_ids
Example: ?occupants_ids[all]=91103344,91142495
Will return dialogs with occupants_idsequal to 91103344 and 91142495 (both).
ctn
Contains substring operator
Types: string
Applicable to field: name
Example: ?name[ctn]=party
Returns dialogs whose name contains the word “party”.
Sort OperatorsNext sorting operators are allowed:
Operator
Description
sort_asc
Types: all types
Example: sort_asc=field_name
Search results will be sorted by the specified field in ascending order.
sort_desc
Types: all types
Example: sort_desc=field_name
Search results will be sorted by the specified field in descending order.
Query Parameters
string
Search records with the field that contains the specified value. Can be many 1..N.
string
Filters records with field that contains the value according to the specified value and operator. Can be many 1..N.
integer
default:"Defaults to 1"
Unread message count is calculated for dialogs by default. Set to 0 to skip calculation, which will speed up the request. Added in v2.4.5.
integer
default:"Defaults to 100"
Limit search results to N records. Useful for pagination.
string
default:"Defaults to 0"
Skip N records in search results. Useful for pagination.
string
Count search results. Set to 1 to apply. Response will contain only count of records found. If not passed, the response will contain all available dialog records along with their count.
string
Search results will be sorted by the specified field in descending order.
string
Search results will be sorted by the specified field in ascending order.
string
Class name in Custom Objects.
string
Field name of class in Custom Objects. Can be many 1..N.
Headers
string
required
A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format: ApiKey {your_api_key}. Must be used either QB-Token or Authorization.
string
User ID. The user ID of the user on whose behalf the request is being made.
Responses
201
A successful response
integer
integer
integer
array of objects
Show properties
string
string
string
integer
string
integer
string
array of integers
array of integers (added in v2.52.0)
string
integer
string
integer
string
integer
integer
curl -X GET \-H "QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba" \https://api.quickblox.com/chat/Dialog.json?limit=2
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"QuickBlox","colors":{"primary":"#3978fc","light":"#3978fc","dark":"#3978fc"},"logo":{"light":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1","dark":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=a8aaf148bf91f6898d03d0d3184114a9"},"favicon":"https://mintcdn.com/quickblox/blsYQNp-sI61UYaV/favicon.png?fit=max\u0026auto=format\u0026n=blsYQNp-sI61UYaV\u0026q=85\u0026s=62ec978bc2dc633ef042e7636c089254","navbar":{"links":[{"href":"https://quickblox.github.io/q-consultation/","label":"Q-Consultation"},{"href":"https://help.quickblox.com/","label":"Support"},{"href":"https://quickblox.com/","label":"quickblox.com"}],"primary":{"type":"button","label":"Dashboard","href":"https://admin.quickblox.com/"}},"footer":{"socials":{"x":"https://x.com/QuickBlox","facebook":"https://www.facebook.com/quickblox","linkedin":"https://www.linkedin.com/company/quickblox","instagram":"https://www.instagram.com/quickblox_official_","medium":"https://medium.com/quickblox-engineering","github":"https://github.com/QuickBlox","discord":"https://bit.ly/quickblox-dev-community"}},"integrations":{"ga4":{"measurementId":"G-CJ7RE2GB2V"}},"contextual":{"options":["chatgpt","claude","copy"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"quickblox","hasAudioNarration":false,"actualSubdomain":"quickblox","customDomains":["docs.quickblox.com"],"gitSource":{"type":"github","owner":"quickblox","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"issues":true,"edits":false,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a8dc27ca93e48aebcc61c6f","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"Server API","count":105},{"language":"default","tag":"REST API","count":105},{"language":"default","tag":"SDKs","count":98},{"language":"default","tag":"Chat","count":57},{"language":"default","tag":"Android","count":26},{"language":"default","tag":"iOS","count":25},{"language":"default","tag":"UIKits","count":23},{"language":"default","tag":"Custom Objects","count":22},{"language":"default","tag":"AI Agent","count":21},{"language":"default","tag":"Flutter","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":".icon-group{display:flex;gap:10px;flex-wrap:wrap}.custom-icon{width:24px;height:24px}.inline-link{display:inline-flex;align-items:center;color:#007bff;margin-top:10px;text-decoration:none;transition:color 0.3s ease, text-decoration 0.3s ease}.inline-link:hover{color:#030f1c}.centered-image{display:block;margin-left:auto;margin-right:auto;width:500px;height:auto}.centered-video{display:block;margin-left:auto;margin-right:auto;max-width:100%}.inline-link Icon{margin-right:5px}.icon-group .icon{width:20px;height:20px;display:inline-block;vertical-align:middle}.icon-group a{display:inline-block}.icon-group img,.icon-group svg{width:20px;height:20px;cursor:pointer;pointer-events:none}.card{box-shadow:0 4px 6px rgba(0, 0, 0, 0.1);transition:transform 0.3s ease, box-shadow 0.3s ease;background-color:#fff;border-radius:8px;padding:16px}.card:hover{transform:translateY(-5px);box-shadow:0 8px 16px rgba(0, 0, 0, 0.4)}.button{display:inline-block;padding:10px 20px;text-align:center;background-color:#007bff;color:white;border-radius:5px;text-decoration:none;white-space:nowrap}.button:hover{background-color:#0056b3}.warning{background-color:red!important}"}],"page":{"pagePath":"reference/list-dialogs","slug":"/reference/list-dialogs","pageMetadata":{"title":"List Dialogs","api":"GET https://api.quickblox.com/chat/Dialog.json","contentType":"application/json","description":"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.","playground":"simple","href":"/reference/list-dialogs"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,em:`em`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,ParamField,ResponseField,Step,Steps,Table}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Step)_missingMdxReference(`Step`,true);if(!Steps)_missingMdxReference(`Steps`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`4`,id:`recipes`,children:`Recipes`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Filter dialogs by custom field`,id:`filter-dialogs-by-custom-field`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set a custom object class`,children:[_jsx(_components.p,{children:`You need to refer to the specific custom object class in the request.`}),_jsxs(_components.p,{children:[`In this case, we refer to the `,_jsx(_components.code,{children:`CoolDialog`}),` custom object class.`]}),_jsxs(_components.p,{children:[`See `,_jsx(_components.a,{href:`/reference/create-class`,children:`this section`}),` to learn how to create a custom object class.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json?data[class_name]=CoolDialog\u0026data[category]=friends`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set a custom object field`,children:[_jsx(_components.p,{children:`Refer to a specific custom object field in the query.`}),_jsxs(_components.p,{children:[`Here, we refer to the `,_jsx(_components.code,{children:`friends`}),` field of the `,_jsx(_components.code,{children:`CoolDialog`}),` custom object class.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json?data[class_name]=CoolDialog\u0026data[category]=friends`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`3. As a result, the API returns all dialogs by the specified custom object field.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json?data[class_name]=CoolDialog\u0026data[category]=friends`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})}),_jsx(Accordion,{title:`Display total number of all dialogs`,id:`display-total-number-of-all-dialogs`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Specify if you want to count dialogs`,children:[_jsxs(_components.p,{children:[`You can display the total number of all dialogs in the system by setting the `,_jsx(_components.code,{children:`count`}),` to `,_jsx(_components.code,{children:`1`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET\\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json?count=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`2. As a result, the API returns a total number of all dialogs that exist in the system.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET\\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json?count=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})}),_jsx(Accordion,{title:`Get dialog by dialog ID`,id:`get-dialog-by-dialog-id`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set the dialog ID`,children:[_jsx(_components.p,{children:`You can get a dialog by its ID. Just specify the ID of the dialog in the request.`}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-d \"_id=5d75393ba28f9a17e1cb0f9e\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`2. As a result, the specified dialog is returned`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d \"_id=5d75393ba28f9a17e1cb0f9e\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})}),_jsx(Accordion,{title:`Filter dialogs by type`,id:`filter-dialogs-by-type`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set a search operator for a field`,children:[_jsxs(_components.p,{children:[`Use a search operator to perform a query. Here, the `,_jsx(_components.code,{children:`in`}),` operator is applied to a `,_jsx(_components.code,{children:`type`}),` field.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-d \"type[in]=1,2\u0026sort_desc=last_message_date_sent\u0026limit=3\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set a sort operator for a field`,children:[_jsxs(_components.p,{children:[`Use a sort operator to order the search results by the field. Here, the `,_jsx(_components.code,{children:`sort_desc`}),` operator is applied to the `,_jsx(_components.code,{children:`last_message_date_sent`}),` field.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-d \"type[in]=1,2\u0026sort_desc=last_message_date_sent\u0026limit=3\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set a limit for a number of dialogs on the page`,children:[_jsxs(_components.p,{children:[`You can limit search results on the page using the `,_jsx(_components.code,{children:`limit`}),` parameter.`]}),_jsxs(_components.p,{children:[`Here, the number of dialogs on the page is limited to `,_jsx(_components.code,{children:`3`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-d \"type[in]=1,2\u0026sort_desc=last_message_date_sent\u0026limit=3\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. As a result, the API returns all public and group dialogs.`,children:[_jsxs(_components.p,{children:[`The request will return the latest `,_jsx(_components.strong,{children:`3`}),` records sorted by the `,_jsx(_components.strong,{children:`last_message_date_sent`}),` field in descending order.`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d \"type[in]=1,2\u0026sort_desc=last_message_date_sent\u0026limit=3\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})]})}),_jsx(Accordion,{title:`Get dialogs with API key`,id:`get-dialogs-with-api-key`,children:_jsxs(Steps,{children:[_jsx(Step,{title:`1. Use 'Authorization' header to pass API key`,children:_jsx(CodeBlock,{filename:``,highlight:`[2]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsxs(Step,{title:`2. Use 'On-Behalf-Of' header to pass user_id`,children:[_jsx(_components.p,{children:`To execute a request on behalf of a specific user.`}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`3. As a result, the API returns all public and group dialogs.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Dialog.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})})]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Search Operators`})}),`\n`,_jsx(_components.p,{children:`The request can contain all, some or none of the next search operators.`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Operator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`lt`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Less Than`}),` operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: last_message_date_sent, created_at, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`?updated_at[lt]=1556829805 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with `,_jsx(_components.code,{children:`updated_at`}),` `,_jsx(_components.strong,{children:`less than`}),` 1556829805.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`lte`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Less Than or Equal`}),` to operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: last_message_date_sent, created_at, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`?last_message_date_sent[lte]=1556735709 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with `,_jsx(_components.code,{children:`last_message_date_sent`}),` `,_jsx(_components.strong,{children:`less than or equal`}),` 1556735709.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`gt`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Greater Than`}),` operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: last_message_date_sent, created_at, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`?last_message_date_sent[gt]=1556735709 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with `,_jsx(_components.code,{children:`last_message_date_sent`}),` `,_jsx(_components.strong,{children:`greater than`}),` 1556735709.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`gte`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Greater Than or Equal`}),` to operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: last_message_date_sent, created_at, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`?last_message_date_sent[gt]=1556735709 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with `,_jsx(_components.code,{children:`last_message_date_sent`}),` `,_jsx(_components.strong,{children:`greater than`}),` 1556735709.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ne`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Not Equal`}),` to operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: _id, name, last_message_date_sent `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`?_id[ne]=5cc9bb58a28f9a406659d777 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with `,_jsx(_components.code,{children:`_id`}),` `,_jsx(_components.strong,{children:`not equal`}),` to 5cc9bb58a28f9a406659d777.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`in`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Contained IN`}),` array operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: type, last_message_date_sent, name `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`?type[in]=1,2 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with type `,_jsx(_components.strong,{children:`equal`}),` to 1 and `,_jsx(_components.strong,{children:`equal`}),` to 2.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`nin`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Not contained IN`}),` array operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: last_message_date_sent `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`?last_message_date_sent[nin]=1556739654, 1556739987 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with `,_jsx(_components.code,{children:`last_message_date_sent`}),` `,_jsx(_components.strong,{children:`not equal`}),` to 1556739654 and 1556739987.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`all`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`ALL contained IN`}),` array `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: occupants_ids, admin_ids `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`?occupants_ids[all]=91103344,91142495 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return dialogs with `,_jsx(_components.code,{children:`occupants_ids`}),` `,_jsx(_components.strong,{children:`equal`}),` to 91103344 and 91142495 (both).`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ctn`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Contains`}),` substring operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: string `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to field: name `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: ?name[ctn]=party `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Returns dialogs whose name `,_jsx(_components.strong,{children:`contains`}),` the word “party”.`]})]})]})]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Sort Operators`})}),`\n`,_jsx(_components.p,{children:`Next sorting operators are allowed:`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Operator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`sort_asc`}),_jsxs(_components.td,{children:[`Types: all types `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: sort_asc=field_name `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Search results will be sorted by the specified field in ascending order.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`sort_desc`}),_jsxs(_components.td,{children:[`Types: all types `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`sort_desc=field_name `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Search results will be sorted by the specified field in descending order.`]})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsx(ParamField,{query:`{dialog_field_N}`,type:`string`,id:`param-dialog-field-n`,children:` Search records with the field that contains the specified value. Can be many 1..N. `}),`\n`,_jsx(ParamField,{query:`{dialog_field_N}[{search_operator}]`,type:`string`,id:`param-dialog-field-n-search-operator`,children:` Filters records with field that contains the value according to the specified value and operator. Can be many 1..N. `}),`\n`,_jsx(ParamField,{query:`include_unread_message_count`,type:`integer`,default:`Defaults to 1`,id:`param-include-unread-message-count`,children:_jsxs(_components.p,{children:[`Unread message count is calculated for dialogs by default. Set to 0 to skip calculation, which will speed up the request.`,_jsx(_components.br,{}),`\n`,_jsx(_components.em,{children:`Added in v2.4.5.`})]})}),`\n`,_jsx(ParamField,{query:`limit`,type:`integer`,default:`Defaults to 100`,id:`param-limit`,children:` Limit search results to N records. Useful for pagination. `}),`\n`,_jsx(ParamField,{query:`skip`,type:`string`,default:`Defaults to 0`,id:`param-skip`,children:` Skip N records in search results. Useful for pagination. `}),`\n`,_jsx(ParamField,{query:`count`,type:`string`,id:`param-count`,children:` Count search results. Set to 1 to apply. Response will contain only count of records found. If not passed, the response will contain all available dialog records along with their count. `}),`\n`,_jsx(ParamField,{query:`sort_desc`,type:`string`,id:`param-sort-desc`,children:` Search results will be sorted by the specified field in descending order. `}),`\n`,_jsx(ParamField,{query:`sort_asc`,type:`string`,id:`param-sort-asc`,children:` Search results will be sorted by the specified field in ascending order. `}),`\n`,_jsx(ParamField,{query:`data[class_name]`,type:`string`,id:`param-data-class-name`,children:` Class name in Custom Objects. `}),`\n`,_jsx(ParamField,{query:`data[{class_field_N}]`,type:`string`,id:`param-data-class-field-n`,children:`Field name of class in Custom Objects. Can be many 1..N.`}),`\n`,_jsx(Heading,{level:`4`,id:`headers`,children:`Headers`}),`\n`,_jsxs(ParamField,{header:`QB-Token`,type:`string`,required:true,id:`param-qb-token`,children:[` A user or application session token. See `,_jsx(_components.a,{href:`/reference/authentication`,children:`Authentication`}),` page to learn more about session tokens. Must be used either QB-Token or Authorization. `]}),`\n`,_jsxs(ParamField,{header:`Authorization`,type:`string`,default:`ApiKey {your_api_key}`,id:`param-authorization`,children:[` API key from Dashboard. Expected format: `,_jsx(_components.code,{children:`ApiKey {your_api_key}`}),`. Must be used either QB-Token or Authorization.`]}),`\n`,_jsx(ParamField,{header:`On-Behalf-Of`,type:`string`,id:`param-on-behalf-of`,children:`User ID. The user ID of the user on whose behalf the request is being made.`}),`\n`,_jsx(Heading,{level:`4`,id:`responses`,children:`Responses`}),`\n`,_jsx(AccordionGroup,{children:_jsxs(Accordion,{title:`201`,id:`201`,children:[_jsx(_components.p,{children:`A successful response`}),_jsx(ResponseField,{name:`total_entries`,type:`integer`,id:`param-total-entries`}),_jsx(ResponseField,{name:`skip`,type:`integer`,id:`param-skip-1`}),_jsx(ResponseField,{name:`limit`,type:`integer`,id:`param-limit-1`}),_jsx(ResponseField,{name:`items`,type:`array of objects`,id:`param-items`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`_id`,type:`string`,id:`param-id`}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`}),_jsx(ResponseField,{name:`last_message`,type:`string`,id:`param-last-message`}),_jsx(ResponseField,{name:`last_message_date_sent`,type:`integer`,id:`param-last-message-date-sent`}),_jsx(ResponseField,{name:`last_message_id`,type:`string`,id:`param-last-message-id`}),_jsx(ResponseField,{name:`last_message_user_id`,type:`integer`,id:`param-last-message-user-id`}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`}),_jsx(ResponseField,{name:`occupants_ids`,type:`array of integers`,id:`param-occupants-ids`}),_jsx(ResponseField,{name:`admin_ids`,type:`array of integers (added in v2.52.0)`,id:`param-admin-ids`}),_jsx(ResponseField,{name:`photo`,type:`string`,id:`param-photo`}),_jsx(ResponseField,{name:`type`,type:`integer`,id:`param-type`}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`}),_jsx(ResponseField,{name:`user_id`,type:`integer`,id:`param-user-id`}),_jsx(ResponseField,{name:`xmpp_room_jid`,type:`string`,id:`param-xmpp-room-jid`}),_jsx(ResponseField,{name:`unread_messages_count`,type:`integer`,id:`param-unread-messages-count`}),_jsx(ResponseField,{name:`is_join_required`,type:`integer`,id:`param-is-join-required`})]})})]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Dialogs","api":"GET https://api.quickblox.com/chat/Dialog.json","contentType":"application/json","description":"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.","playground":"simple","href":"/reference/list-dialogs"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[424,433,"questExample,ResponseExample,ResponseFie"],[800,812,"questExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)"],[29909,30337,",`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`https://api.quickblox.com/chat/Dialog.json?limit=2`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`200`,numberOfLines:`55`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`55`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_entries\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`6`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"skip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"items\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d75393ba28f9a17e1cb0f9e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-08T17:24:11Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sure, I can wait\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message_date_sent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1567971414`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d755856a0eb47411e0b72a9\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message_user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"New Year party\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"occupants_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96754523`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96830631`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96831328`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96831397`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"admin_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"photo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"68123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-08T19:36:54Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"xmpp_room_jid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"76730_5d75393ba28f9a17e1cb0f9e@muc.chat.quickblox.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"unread_messages_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_join_required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d753421a28f9a2596cb0f98\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-08T17:02:26Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"let's do it at 7pm\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message_date_sent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1567971391`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d75583fa0eb473c350b72ab\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_message_user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Daniel's birthday\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"occupants_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96754523`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96830631`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96831328`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96831397`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"admin_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"photo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"68123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-08T19:36:31Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"xmpp_room_jid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"76730_5d753421a28f9a2596cb0f98@muc.chat.quickblox.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"unread_messages_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_join_required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Recipes","slug":"recipes","depth":4,"children":[]},{"title":"Query Parameters","slug":"query-parameters","depth":4,"children":[]},{"title":"Headers","slug":"headers","depth":4,"children":[]},{"title":"Responses","slug":"responses","depth":4,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> GET\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-H \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">https://api.quickblox.com/chat/Dialog.json?limit=2\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"55\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"total_entries\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">6\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"skip\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"limit\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"items\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"5d75393ba28f9a17e1cb0f9e\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-09-08T17:24:11Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"sure, I can wait\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message_date_sent\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1567971414\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"5d755856a0eb47411e0b72a9\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message_user_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">96753878\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"New Year party\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"occupants_ids\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96753878\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96754523\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96830631\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96831328\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96831397\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"admin_ids\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"photo\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"68123\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-09-08T19:36:54Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"user_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">96753878\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"xmpp_room_jid\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"76730_5d75393ba28f9a17e1cb0f9e@muc.chat.quickblox.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"unread_messages_count\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_join_required\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"5d753421a28f9a2596cb0f98\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-09-08T17:02:26Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"let's do it at 7pm\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message_date_sent\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1567971391\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"5d75583fa0eb473c350b72ab\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_message_user_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">96753878\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Daniel's birthday\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"occupants_ids\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96753878\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96754523\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96830631\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96831328\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96831397\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"admin_ids\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"photo\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"68123\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-09-08T19:36:31Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"user_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">96753878\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"xmpp_room_jid\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"76730_5d753421a28f9a2596cb0f98@muc.chat.quickblox.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"unread_messages_count\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_join_required\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"List Dialogs","path":"/chat/Dialog.json","servers":[{"url":"https://api.quickblox.com"}],"method":"get","request":{"security":[],"parameters":{"query":{"{dialog_field_N}":{"schema":[{"type":"string","description":"Search records with the field that contains the specified value. Can be many 1..N."}]},"{dialog_field_N}[{search_operator}]":{"schema":[{"type":"string","description":"Filters records with field that contains the value according to the specified value and operator. Can be many 1..N."}]},"include_unread_message_count":{"schema":[{"type":"integer","description":"Unread message count is calculated for dialogs by default. Set to 0 to skip calculation, which will speed up the request. Added in v2.4.5."}]},"limit":{"schema":[{"type":"integer","description":"Limit search results to N records. Useful for pagination."}]},"skip":{"schema":[{"type":"string","description":"Skip N records in search results. Useful for pagination."}]},"count":{"schema":[{"type":"string","description":"Count search results. Set to 1 to apply. Response will contain only count of records found. If not passed, the response will contain all available dialog records along with their count."}]},"sort_desc":{"schema":[{"type":"string","description":"Search results will be sorted by the specified field in descending order."}]},"sort_asc":{"schema":[{"type":"string","description":"Search results will be sorted by the specified field in ascending order."}]},"data[class_name]":{"schema":[{"type":"string","description":"Class name in Custom Objects."}]},"data[{class_field_N}]":{"schema":[{"type":"string","description":"Field name of class in Custom Objects. Can be many 1..N."}]}},"header":{"QB-Token":{"schema":[{"type":"string","description":"A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.","required":true}]},"Authorization":{"schema":[{"type":"string","description":"API key from Dashboard. Expected format: `ApiKey {your_api_key}` . Must be used either QB-Token or Authorization."}]},"On-Behalf-Of":{"schema":[{"type":"string","description":"User ID. The user ID of the user on whose behalf the request is being made."}]}},"cookie":{},"path":{}},"body":{}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"quickblox","siteName":"QuickBlox","title":"List Dialogs - QuickBlox","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-02-27T17:06:45.464Z","originalFileLocation":"reference/list-dialogs.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.\">\u003cmeta data-mint-head name=\"application-name\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Dialogs - QuickBlox\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"QuickBlox\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.quickblox.com/reference/list-dialogs\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://quickblox.mintlify.site/_mintlify/api/og/v2?division=Chat\u0026amp;title=List+Dialogs\u0026amp;description=Retrieve+a+list+of+chat+dialogs.+You+can+list+dialogs+using+specific+search+criteria.\u0026amp;theme=984ccd188456a4525871d10f\u0026amp;signature=3e04f3ade9eafa17c2277e407d4f31dcb51c53fc6a05c41e633713e88a545b83\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Dialogs - QuickBlox\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://quickblox.mintlify.site/_mintlify/api/og/v2?division=Chat\u0026amp;title=List+Dialogs\u0026amp;description=Retrieve+a+list+of+chat+dialogs.+You+can+list+dialogs+using+specific+search+criteria.\u0026amp;theme=984ccd188456a4525871d10f\u0026amp;signature=3e04f3ade9eafa17c2277e407d4f31dcb51c53fc6a05c41e633713e88a545b83\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3978fc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.quickblox.com/reference/list-dialogs\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/list-dialogs.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.quickblox.com/#organization\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.quickblox.com#website\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.quickblox.com/reference/list-dialogs#webpage\",\"url\":\"https://docs.quickblox.com/reference/list-dialogs\",\"name\":\"List Dialogs\",\"description\":\"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.\",\"dateModified\":\"2026-02-27T17:06:45.464Z\",\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.quickblox.com/reference/list-dialogs#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.quickblox.com/reference/list-dialogs#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST API\",\"item\":\"https://docs.quickblox.com/reference/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Chat\",\"item\":\"https://docs.quickblox.com/reference/chat\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List Dialogs\",\"item\":\"https://docs.quickblox.com/reference/list-dialogs\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.quickblox.com/reference/list-dialogs#apireference\",\"headline\":\"List Dialogs\",\"name\":\"List Dialogs\",\"description\":\"Retrieve a list of chat dialogs. You can list dialogs using specific search criteria.\",\"url\":\"https://docs.quickblox.com/reference/list-dialogs\",\"mainEntityOfPage\":{\"@id\":\"https://docs.quickblox.com/reference/list-dialogs#webpage\"},\"dateModified\":\"2026-02-27T17:06:45.464Z\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"QuickBlox\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"QuickBlox\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/reference/list-dialogs.md","siteName":"QuickBlox","nav":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/quickstart"}]},{"tab":"Server API","groups":[{"group":"REST API","pages":[{"title":"Overview","icon":"circle-info","href":"/reference/overview"},{"title":"Limits","mode":"wide","icon":"traffic-light-stop","href":"/reference/limits"},{"title":"Errors","mode":"wide","icon":"triangle-exclamation","href":"/reference/errors"},{"title":"Get Account Settings","api":"GET https://api.quickblox.com/account_settings.json","playground":"simple","href":"/reference/get-account-settings"},{"group":"Authentication","icon":"lock","pages":[{"title":"Authentication","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/authentication"},{"title":"Session Model","mode":"wide","icon":"key","href":"/reference/session-model"},{"title":"Create Session","api":"POST https://api.quickblox.com/session.json","playground":"simple","href":"/reference/create-session"},{"title":"Get Session","api":"GET https://api.quickblox.com/session.json","playground":"simple","href":"/reference/get-session"},{"title":"Log In","api":"POST https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-in"},{"title":"Log Out","api":"DELETE https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-out"},{"title":"Delete Session","api":"DELETE https://api.quickblox.com/session.json","playground":"simple","href":"/reference/delete-session"}]},{"group":"Users","icon":"user","pages":[{"title":"Users","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/users"},{"title":"User Model","mode":"wide","icon":"user","href":"/reference/user-model"},{"title":"Create User","api":"POST https://api.quickblox.com/users.json","playground":"simple","href":"/reference/create-user"},{"title":"Create Token with API key","api":"POST https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/create-token-with-api-key"},{"title":"Delete Token with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens/{token}","playground":"simple","href":"/reference/delete-token-with-api-key"},{"title":"Flush Tokens with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/flush-tokens-with-api-key"},{"title":"List Users","api":"GET https://api.quickblox.com/users.json","playground":"simple","href":"/reference/list-users"},{"title":"List Users by Full Name","api":"GET https://api.quickblox.com/users/by_full_name.json","playground":"simple","href":"/reference/list-users-by-full-name"},{"title":"List Users by Tags","api":"GET https://api.quickblox.com/users/by_tags.json","playground":"simple","href":"/reference/list-users-by-tags"},{"title":"Get User by ID","api":"GET https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/get-user-by-id"},{"title":"Get User by Login","api":"GET https://api.quickblox.com/users/by_login.json","playground":"simple","href":"/reference/get-user-by-login"},{"title":"Get User by Facebook ID","api":"GET https://api.quickblox.com/users/by_facebook_id.json","playground":"simple","href":"/reference/get-user-by-facebook"},{"title":"Get User by Email","api":"GET https://api.quickblox.com/users/by_email.json","playground":"simple","href":"/reference/get-user-by-email"},{"title":"Get User by External User ID","api":"GET https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/get-user-by-external-user-id"},{"title":"Update User","api":"PUT https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/update-user"},{"title":"Delete User by ID","api":"DELETE https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/delete-user"},{"title":"Delete User by External ID","api":"DELETE https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/delete-user-by-external-id"},{"title":"Reset User Password","api":"GET https://api.quickblox.com/users/password/reset.json","playground":"simple","href":"/reference/reset-user-password"}]},{"group":"Chat","icon":"messages","pages":[{"title":"Chat","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/chat"},{"title":"Dialog Model","mode":"wide","icon":"messages","href":"/reference/dialog-model"},{"title":"Create Dialog","api":"POST https://api.quickblox.com/chat/Dialog.json","description":"Create a public/group/private dialog.","playground":"simple","href":"/reference/create-dialog"},{"title":"List Dialogs","api":"GET https://api.quickblox.com/chat/Dialog.json","playground":"simple","href":"/reference/list-dialogs"},{"title":"Get Dialog by ID","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","description":"Retrieve a dialog by ID. \u003cbr/> *Added in v2.39.0*","playground":"simple","href":"/reference/get-dialog-by-id"},{"title":"Update Dialog","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","playground":"simple","href":"/reference/update-dialog"},{"title":"Delete Dialog","api":"DELETE https://api.quickblox.com/chat/Dialog/{chat_dialog_id},{chat_dialog_id}.json","playground":"simple","href":"/reference/delete-dialog"},{"title":"Get Notification Settings","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/get-notification-settings"},{"title":"Update Notification Settings","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/update-notification-settings"},{"title":"Message Model","mode":"wide","icon":"message","href":"/reference/messages"},{"title":"Create Message","api":"POST https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/create-message"},{"title":"List Messages","api":"GET https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/list-messages"},{"title":"Get Message by ID","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}","playground":"simple","href":"/reference/get-message-by-id"},{"title":"Update Message","api":"PUT https://api.quickblox.com/chat/Message/{chat_message_id}.json","playground":"simple","href":"/reference/update-message"},{"title":"Mark All Messages as Delivered","api":"PATCH https://api.quickblox.com/chat/Message/delivered.json","playground":"simple","href":"/reference/mark-all-messages-as-delivered"},{"title":"Mark All Messages as Read","api":"PATCH https://api.quickblox.com/chat/Message/read.json","playground":"simple","href":"/reference/mark-all-messages-as-read"},{"title":"Delete Message","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id},{chat_message_id}.json","playground":"simple","href":"/reference/delete-message"},{"title":"Get Unread Messages Count","api":"GET https://api.quickblox.com/chat/Message/unread.json","playground":"simple","href":"/reference/get-unread-message-count"},{"title":"Reaction Model","mode":"wide","icon":"thumbs-up","href":"/reference/reaction-model"},{"title":"Add Reaction","api":"POST https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/add-reaction"},{"title":"List Reactions","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/list-reactions"},{"title":"Remove Reaction","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/remove-reaction"}]},{"group":"Content","icon":"file","pages":[{"title":"Content","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/content"},{"title":"Blob Model","mode":"wide","icon":"folder-open","href":"/reference/blob-model"},{"title":"Create File","api":"POST https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/create-file"},{"title":"List Files","api":"GET https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/list-files"},{"title":"Upload File","api":"POST https://api.quickblox.com/blobs/{blob_id}/upload.json","playground":"simple","href":"/reference/upload-file"},{"title":"Mark File Uploaded","api":"PUT https://api.quickblox.com/blobs/{blob_id}/complete.json","playground":"simple","href":"/reference/mark-file-uploaded"},{"title":"Get File by ID","api":"GET https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/get-file-by-id"},{"title":"Download File by UID","api":"GET https://api.quickblox.com/blobs/{blob_uid}/download.json","playground":"simple","href":"/reference/download-file-by-uid"},{"title":"Update File","api":"PUT https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/update-file"},{"title":"Delete File","api":"DELETE https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/delete-file"}]},{"group":"Push Notifications","icon":"bell","pages":[{"title":"Push Notifications","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/push-notifications"},{"title":"Subscription Model","mode":"wide","icon":"recycle","href":"/reference/subscription-model"},{"title":"Create Subscription","api":"POST https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/create-subscription"},{"title":"List Subscriptions","api":"GET https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/list-subscriptions"},{"title":"Delete Subscription","api":"DELETE https://api.quickblox.com/subscriptions/{subscription_id}.json","playground":"simple","href":"/reference/delete-subscription"},{"title":"Event Model","mode":"wide","icon":"calendar-days","href":"/reference/events"},{"title":"Create Event","api":"POST https://api.quickblox.com/events.json","playground":"simple","href":"/reference/create-event"},{"title":"List Events","api":"GET https://api.quickblox.com/events.json","playground":"simple","href":"/reference/list-events"},{"title":"Get Event by ID","api":"GET https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/get-event-by-id"},{"title":"Update Event","api":"PUT https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/update-event"},{"title":"Delete Event","api":"DELETE https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/delete-event"},{"title":"Push Notification Formats","icon":"bell","href":"/reference/push-notification-formats"}]},{"group":"Custom Objects","icon":"database","pages":[{"title":"Custom Objects","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/custom-objects"},{"title":"Dashboard","mode":"wide","icon":"gauge","href":"/reference/dashboard"},{"title":"Relations","mode":"wide","icon":"heart","href":"/reference/relations"},{"title":"Permissions","icon":"triangle-instrument","href":"/reference/permissions"},{"title":"Class Model","mode":"wide","icon":"rectangle-code","href":"/reference/class-model"},{"title":"Create Class","api":"POST https://api.quickblox.com/class.json","playground":"simple","href":"/reference/create-class"},{"title":"Record Model","mode":"wide","icon":"rectangle-code","href":"/reference/record-model"},{"title":"Create Record","api":"POST https://api.quickblox.com/data/{class_name}.json","playground":"simple","href":"/reference/create-record"},{"title":"Create Child Record","api":"POST https://api.quickblox.com/data/{class_name}/{parent_id}/{child_name}","playground":"simple","href":"/reference/create-child-record"},{"title":"Create Multi Records","api":"POST https://api.quickblox.com/data/{class_name}/multi.json","playground":"simple","href":"/reference/create-multi-records"},{"title":"List Records","api":"GET https://api.quickblox.com/data/{class_name}.json","playground":"simple","href":"/reference/list-records"},{"title":"List Records by IDs","api":"GET https://api.quickblox.com/data
[...]
